Subject: Re: [bug#55903] [PATCH 03/41] gnu: Add go-google-golang-org-protobuf-proto.

From: "(" <[email-masked]>
Date: Sun, 12 Jun 2022 11:23:42 +0100

On Sat Jun 11, 2022 at 11:19 PM BST, Maxime Devos wrote:
> go-github-com-gogo-protobuf description mentions: ‘goprotobuf
> compatibility’ (not sure if that refers to API or serialisation format
> though).
> Or: go-github-com-golang-protobuf-proto (looks the same for a distance
> except for domain name).

They're not the same. From https://github.com/golang/protobuf:

> This module (github.com/golang/protobuf) contains Go bindings for protocol
> buffers. It has been superseded by the google.golang.org/protobuf module,
> which contains an updated and simplified API, support for protobuf reflection,
> and many other improvements. We recommend that new code use the
> google.golang.org/protobuf module.

and from https://github.com/gogo/protobuf:

> gogoprotobuf is a fork of golang/protobuf with extra code generation features.

which implies that it has golang/protobuf's API, which as mentioned above is not
the same as the google-golang-org one.